# Export users

Export users who match the provided parameters.

Endpoint: GET /v3/user-export
Version: 2026-06-12
Security: ZephrHmacHttp

## Query parameters:

  - `attributes` (boolean, required)
    Whether or not to include core attributes.
    Example: "true"

  - `appIds` (string, required)
    Comma-delimited list of appIds to retrieve extended profile data for. If appIds is present and attributes isn't, only users with matching extended profiles will be returned.
    Example: "quiz1,survey4"

  - `appIdsRestrictive` (boolean)
    Only include users with a matching extended profile
    Example: "true"

  - `grants` (boolean)
    Include information about entitlements
    Example: "true"

  - `since` (string)
    Users who were updated after the specified date
    Example: "2020-01-01T00:00:00Z"

  - `registeredSince` (string)
    Users who have registered after the specified date
    Example: "2020-01-01T00:00:00Z"

  - `registeredBefore` (string)
    Users who have registered before the specified date
    Example: "2020-01-01T00:00:00Z"

  - `rpp` (number)
    Results per page
    Example: 40

  - `page` (number)
    The requested page of results
    Example: 1

## Response 200 fields (application/json):

  - `results` (array)

  - `results.seq-no` (number)
    Example: 1

  - `results.user` (object, required)

  - `results.user.identifiers` (object, required)

  - `results.user.identifiers.email_address` (string)
    Example: "joe.blow@company.com"

  - `results.user.attributes` (object)

  - `results.user.attributes.first_name` (string)
    Example: "Joe"

  - `results.user.attributes.surname` (string)
    Example: "Blow"

  - `results.grants` (object)

  - `results.grants.results` (array)

  - `results.grants.results.grantId` (string)
    Example: "e196ad75-a6d0-471b-90b3-de3843dd7860"

  - `results.grants.results.user_id` (string)
    Example: "e1812285-2f21-441e-8be4-b08835cd4b2c"

  - `results.grants.results.account_id` (string)
    Example: "14515649-565f-4b1c-8346-eb98301c1d6b"

  - `results.grants.results.expiry_state` (string)
    Enum: "pending", "active", "expired"

  - `results.grants.results.entitlement_type` (string)
    An enum describing the type of the entitlement.
    Enum: "bundle", "entitlement", "meter", "credits"

  - `results.grants.results.entitlement_id` (string)
    Example: "b74df5c4-fded-492c-ad90-07646bded5db"

  - `results.grants.results.startTime` (string)
    Example: "2022-06-01 00:00:00"

  - `results.grants.results.endTime` (string)
    Example: "2022-12-31 23:59:59"

  - `results.grants.results.product_id` (string)
    Example: "86abb44a-e6f2-4f9b-ac26-46ae0a13ed31"

  - `results.grants.results.createdAt` (string)
    Example: "2022-05-31 23:59:59"

  - `meta` (object)

  - `meta.count` (number)
    Example: 100

  - `meta.rpp` (number)
    Example: 20

  - `meta.paginated` (boolean)
    Example: true

  - `links` (object)

  - `links.first` (object)

  - `links.first.url` (string)
    The link's url
    Example: "https://example.com?rpp=10"

  - `links.first.page` (number)
    The page number the link is pointing to
    Example: 1

  - `links.last` (object)

  - `links.previous` (object)

  - `links.next` (object)


